Bugzilla will be upgraded to version 5.0 on December 2, 2018. The outage period for the upgrade will start at 0:00 UTC and have a duration of 12 hours
Bug 596501 - (CVE-2010-1774) CVE-2010-1774 WebKit: out-of-bounds memory access vulnerability in handling of HTML tables
CVE-2010-1774 WebKit: out-of-bounds memory access vulnerability in handling o...
Status: CLOSED WONTFIX
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
urgent Severity urgent
: ---
: ---
Assigned To: Red Hat Product Security
impact=critical,public=20100607,repor...
: Security
Depends On:
Blocks: 806808
  Show dependency treegraph
 
Reported: 2010-05-26 16:19 EDT by Vincent Danen
Modified: 2015-08-19 04:48 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-05 04:18:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2010-05-26 16:19:06 EDT
An out of bounds memory access issue issue exists in WebKit's handling of HTML tables. Visiting a maliciously crafted website may lead to an unexpected application termination or arbitrary code execution. This issue is addressed through improved bounds checking.

References:

Bugzilla: https://bugs.webkit.org/show_bug.cgi?id=38261
Trac: http://trac.webkit.org/changeset/59495

Acknowledgements:

Red Hat would like to thank Drew Yao of Apple Product Security for responsibly reporting this issue. Upstream acknowledges wushi of team509 as the original reporter.
Comment 4 Josh Bressers 2010-06-04 12:04:02 EDT
This is likely a crash only, but it seems it doesn't affect RHEL5 or RHEL6.

This snipped appears to save the day:

            if( cCol + i >= nEffCols ) {
            table->appendColumn( span - usedSpan );
            nEffCols++;
            width.resize( nEffCols );
            width[nEffCols-1] = Length();
            }

As the value of i increases, so does the size of width. This should mean that the worst outcome of this flaw would be an OOB read, not an OOB write. An OOB read is a DoS only and not security for end user applications.

It someone sees a flaw in my analysis, please speak up.
Comment 5 Vincent Danen 2010-06-04 12:10:04 EDT
The same code above exists in KDE4's KHTML as well (khtml/rendering/table_layout.cpp) so would not affect KDE3 or KDE4.
Comment 6 Jan Lieskovsky 2010-06-08 12:57:13 EDT
Public via:
  [1] http://support.apple.com/kb/HT4196

Note You need to log in before you can comment on or make changes to this bug.